| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiGraphicsItemGroup Class Reference
uiBase

`#include <uigraphicsitem.h>`

Inheritance diagram for uiGraphicsItemGroup:
[legend]

## Public Member Functions
| uiGraphicsItemGroup (bool owner=false)
| uiGraphicsItemGroup (const ObjectSet< uiGraphicsItem > &)
| ~uiGraphicsItemGroup ()
| If owner, it deletes all items.
void | add (uiGraphicsItem *)
uiRect | boundingRect () const override
uiGraphicsItem * | findItem (QGraphicsItem *) override
uiGraphicsItem * | getUiItem (int idx)
const uiGraphicsItem * | getUiItem (int idx) const
bool | isEmpty () const
bool | isOwner () const
bool | isPresent (const uiGraphicsItem &) const
bool | isVisible () const override
QGraphicsItemGroup * | qGraphicsItemGroup ()
void | remove (uiGraphicsItem *, bool withdelete)
void | removeAll (bool withdelete)
void | setIsOwner (bool own)
void | setScene (uiGraphicsScene *) override
void | setVisible (bool) override
int | size () const
Public Member Functions inherited from uiGraphicsItem
| uiGraphicsItem ()
| ~uiGraphicsItem ()
virtual OD::ButtonState | acceptedMouseButtonsEnabled () const
void | addChild (uiGraphicsItem *, bool checkifnew=true)
void | addChildSet (uiGraphicsItemSet &)
uiGraphicsItem * | getChild (int)
Geom::Point2D< float > | getPos () const
float | getRotation ()
void | getScale (float &sx, float &sy)
float | getTransparency () const
int | getZValue () const
void | hide ()
int | id () const
virtual bool | isFiltersChildEventsEnabled () const
virtual bool | isHoverEventsAccepted () const
bool | isItemIgnoresTransformationsEnabled () const
virtual bool | isMovable () const
bool | isPresent (const uiGraphicsItem &) const
virtual bool | isSelectable () const
virtual bool | isSelected () const
void | moveBy (float x, float y)
int | nrChildren () const
QGraphicsItem * | qGraphicsItem ()
const QGraphicsItem * | qGraphicsItem () const
void | removeAll (bool withdelete)
void | removeChild (uiGraphicsItem *, bool withdelete)
void | removeChildSet (uiGraphicsItemSet &)
void | rotate (float angle)
void | scale (float sx, float sy)
virtual void | setAcceptedMouseButtons (OD::ButtonState)
virtual void | setAcceptHoverEvents (bool)
void | setCursor (const MouseCursor &)
virtual void | setFillColor (const OD::Color &, bool usetransp=false)
virtual void | setFillPattern (const FillPattern &)
virtual void | setFiltersChildEvents (bool)
virtual void | setGradientFill (int x1, int y1, int x2, int y2, const TypeSet< float > &stops, const TypeSet< OD::Color > &colors)
void | setItemIgnoresTransformations (bool)
virtual void | setMovable (bool)
virtual void | setPenColor (const OD::Color &, bool usetransp=false)
virtual void | setPenStyle (const OD::LineStyle &, bool usetransp=false)
void | setPos (const Geom::Point2D< float > &)
void | setPos (const uiPoint &p)
void | setPos (const uiWorldPoint &)
void | setPos (float x, float y)
void | setRotation (float angle)
void | setScale (float sx, float sy)
virtual void | setSelectable (bool)
virtual void | setSelected (bool)
void | setToolTip (const uiString &)
virtual void | setTransparency (float)
void | setZValue (int)
void | show ()
uiPoint | transformToScenePos (const uiPoint &itmpos) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
uiGraphicsItem * | gtItm (int idx) const
QGraphicsItem * | mkQtObj () override
void | translateText () override
Protected Member Functions inherited from uiGraphicsItem
| uiGraphicsItem (QGraphicsItem *)
virtual void | stPos (float, float)

## Protected Attributes
bool | isvisible_
ObjectSet< uiGraphicsItem > | items2bdel_
ObjectSet< uiGraphicsItem > | items_
bool | owner_
QGraphicsItemGroup * | qgraphicsitemgrp_
Protected Attributes inherited from uiGraphicsItem
ObjectSet< uiGraphicsItem > | children_
uiGraphicsItem * | parent_
QGraphicsItem * | qgraphicsitem_
uiGraphicsScene * | scene_
bool | selected_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from uiGraphicsItem
CNotifier< uiGraphicsItem, const MouseEvent & > | leftClicked
CNotifier< uiGraphicsItem, const MouseEvent & > | rightClicked

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiGraphicsItemGroup() [1/2]

uiGraphicsItemGroup::uiGraphicsItemGroup | ( | bool | owner = false | ) |

## ◆ uiGraphicsItemGroup() [2/2]

uiGraphicsItemGroup::uiGraphicsItemGroup | ( | const ObjectSet< uiGraphicsItem > & |  | ) |

## ◆ ~uiGraphicsItemGroup()

uiGraphicsItemGroup::~uiGraphicsItemGroup | ( |  | ) |

If owner, it deletes all items.

## Member Function Documentation

## ◆ add()

void uiGraphicsItemGroup::add | ( | uiGraphicsItem * |  | ) |

## ◆ boundingRect()

uiRect uiGraphicsItemGroup::boundingRect | ( |  | ) | const
| override virtual

Reimplemented from uiGraphicsItem.

## ◆ findItem()

uiGraphicsItem * uiGraphicsItemGroup::findItem | ( | QGraphicsItem * |  | ) |
| override virtual

Reimplemented from uiGraphicsItem.

## ◆ getUiItem() [1/2]

uiGraphicsItem * uiGraphicsItemGroup::getUiItem | ( | int | idx | ) |
| inline

## ◆ getUiItem() [2/2]

const uiGraphicsItem * uiGraphicsItemGroup::getUiItem | ( | int | idx | ) | const
| inline

## ◆ gtItm()

uiGraphicsItem * uiGraphicsItemGroup::gtItm | ( | int | idx | ) | const
| inline protected

## ◆ isEmpty()

bool uiGraphicsItemGroup::isEmpty | ( |  | ) | const
| inline

## ◆ isOwner()

bool uiGraphicsItemGroup::isOwner | ( |  | ) | const
| inline

## ◆ isPresent()

bool uiGraphicsItemGroup::isPresent | ( | const uiGraphicsItem & |  | ) | const

## ◆ isVisible()

bool uiGraphicsItemGroup::isVisible | ( |  | ) | const
| override virtual

Reimplemented from uiGraphicsItem.

## ◆ mkQtObj()

QGraphicsItem * uiGraphicsItemGroup::mkQtObj | ( |  | ) |
| override protected virtual

Reimplemented from uiGraphicsItem.

## ◆ qGraphicsItemGroup()

QGraphicsItemGroup * uiGraphicsItemGroup::qGraphicsItemGroup | ( |  | ) |
| inline

## ◆ remove()

void uiGraphicsItemGroup::remove | ( | uiGraphicsItem * | ,
|  | bool | withdelete )

## ◆ removeAll()

void uiGraphicsItemGroup::removeAll | ( | bool | withdelete | ) |

## ◆ setIsOwner()

void uiGraphicsItemGroup::setIsOwner | ( | bool | own | ) |
| inline

## ◆ setScene()

void uiGraphicsItemGroup::setScene | ( | uiGraphicsScene * |  | ) |
| override virtual

Reimplemented from uiGraphicsItem.

## ◆ setVisible()

void uiGraphicsItemGroup::setVisible | ( | bool |  | ) |
| override virtual

Reimplemented from uiGraphicsItem.

## ◆ size()

int uiGraphicsItemGroup::size | ( |  | ) | const
| inline

## ◆ translateText()

void uiGraphicsItemGroup::translateText | ( |  | ) |
| override protected virtual

Reimplemented from uiGraphicsItem.

## Member Data Documentation

## ◆ isvisible_

bool uiGraphicsItemGroup::isvisible_
| protected

## ◆ items2bdel_

ObjectSet<uiGraphicsItem> uiGraphicsItemGroup::items2bdel_
| protected

## ◆ items_

ObjectSet<uiGraphicsItem> uiGraphicsItemGroup::items_
| protected

## ◆ owner_

bool uiGraphicsItemGroup::owner_
| protected

## ◆ qgraphicsitemgrp_

QGraphicsItemGroup* uiGraphicsItemGroup::qgraphicsitemgrp_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025